KDE 4.2 PyKDE API Reference

- KDE's Python API

# RunnerManager Class Reference

`from PyKDE4.plasma import *`

Inherits: QObject
Namespace: Plasma

## Detailed Description

RunnerManager plasma/runnermanager.h <Plasma/RunnerManager>

The RunnerManager class decides what installed runners are runnable, and their ratings. It is the main proxy to the runners.

## Signals

| matchesChanged ([Plasma.QueryMatch] matches)

## Methods

| __init__ (self, QObject parent=0)
| __init__ (self, KConfigGroup config, QObject parent=0)
[QActio] | actionsForMatch (self, Plasma.QueryMatch match)
bool | execQuery (self, QString term, QString runnerName)
bool | execQuery (self, QString term)
| launchQuery (self, QString term, QString runnerName)
| launchQuery (self, QString term)
[Plasma.QueryMatch] | matches (self)
| matchesChanged (self, [Plasma.QueryMatch] matches)
QString | query (self)
| reloadConfiguration (self)
| reset (self)
| run (self, Plasma.QueryMatch match)
| run (self, QString id)
Plasma.AbstractRunner | runner (self, QString name)
Plasma.RunnerContext | searchContext (self)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

__init__ | ( | self, |
|  | KConfigGroup | config,
|  | QObject | parent=0
| ) |  |  |

[QActio] actionsForMatch | ( | self, |
|  | Plasma.QueryMatch | match
| ) |  |  |

Retrieves the list of actions, if any, for a match

bool execQuery | ( | self, |
|  | QString | term,
|  | QString | runnerName
| ) |  |  |

Execute a query, this method will only return when the query is executed This means that the method may be dangerous as it wait a variable amount of time for the runner to finish. The runner parameter is mandatory, to avoid launching unwanted runners. @arg term the term we want to find matches for @arg runner the runner we will use, it is mandatory

Returns:
  0 if nothing was launched, 1 if launched.

bool execQuery | ( | self, |
|  | QString | term
| ) |  |  |

Convenience version of above

launchQuery | ( | self, |
|  | QString | term,
|  | QString | runnerName
| ) |  |  |

Launch a query, this will create threads and return inmediately. When the information will be available can be known using the matchesChanged signal.

@arg term the term we want to find matches for @arg runner optional, if only one specific runner is to be used

launchQuery | ( | self, |
|  | QString | term
| ) |  |  |

Convenience version of above

[Plasma.QueryMatch] matches | ( |  | self ) |

Retrieves all available matches found so far for the previously launched query

Returns:
  List of matches

matchesChanged | ( | self, |
|  | [Plasma.QueryMatch] | matches
| ) |  |  |

Emitted each time a new match is added to the list

Signal syntax:
  `QObject.connect(source, SIGNAL("matchesChanged(const QList<Plasma::QueryMatch>&)"), target_slot)`

QString query | ( |  | self ) |

Returns:
  the current query term

reloadConfiguration | ( |  | self ) |

Causes a reload of the current configuration

reset | ( |  | self ) |

Reset the current data and stops the query

run | ( | self, |
|  | Plasma.QueryMatch | match
| ) |  |  |

Runs a given match @arg match the match to be executed

run | ( | self, |
|  | QString | id
| ) |  |  |

Runs a given match @arg id the id of the match to run

Plasma.AbstractRunner runner | ( | self, |
|  | QString | name
| ) |  |  |

Finds and returns a loaded runner or NULL @arg name the name of the runner

Returns:
  Pointer to the runner

Plasma.RunnerContext searchContext | ( |  | self ) |

Retrieves the current context

Returns:
  pointer to the current context